<ion-view title="Event Types" ng-controller="typesAddCtrl as scope">
  <ion-content class="has-header has-footer">
    <div class="container-fluid">
      <div class="row" style="padding-top: 40px;">
        <div class="col-sm-6">
          <div class="form-group">
            <label>Event type title:</label>
            <input type="text" class="form-control" placeholder="Title" ng-model="scope.typeEvent.name">
          </div>
        </div>
        <div class="col-sm-12"><hr></div>
      </div><!-- row -->

      <div class="row">

        <div class="col-sm-4">
          <h1>Módulos Disponibles</h1>
          <p>Seleccione los módulos que necesita:</p>
          <ion-toggle ng-model="item.selected" toggle-class="toggle-calm" ng-repeat="item in scope.modules">
            {{item.name}}
          </ion-toggle>
        </div><!-- col -->

        <div class="col-sm-8">
          <h1>Módulos Seleccionados</h1>
          <ion-toggle ng-model="scope.shouldShowReorder" toggle-class="toggle-calm">Ordenar</ion-toggle>

          <!-- Lista de modulos seleccionados -->
          <ion-list show-reorder="scope.shouldShowReorder">

            <ion-item ng-show="item.selected" ng-repeat="item in scope.modules">
              {{item.name}}
              <div class="checkbox ubicacion-modulo" ng-hide="scope.shouldShowReorder">
                <label>
                  <input type="radio" ng-model="item.location" value="menu"> Menu item
                </label>
                <label>
                  <input type="radio" ng-model="item.location" value="tab"> Tab item
                </label>
              </div>
              <ion-reorder-button class="ion-arrow-move" on-reorder="scope.moveItem(item, $fromIndex, $toIndex)"></ion-reorder-button>
            </ion-item>
          </ion-list>
        </div><!-- col -->

      </div><!-- row -->

      <div class="row">

      </div><!-- row -->
    </div><!-- content -->
  </ion-content>

  <ion-footer-bar align-title="left" class="bar-calm bar-admin-buttons">
    <div class="buttons">
      <button class="button button-positive" ng-click="scope.preview">Preview Order</button>
      <button class="button button-positive" ng-click="scope.add()" style="margin-left: 15px;">Create Event Type</button>
    </div>
  </ion-footer-bar>
</ion-view>
